<template>
  <div
    class="fixed bottom-0 left-0 z-30 flex justify-center w-full px-1 py-3 h-max fc-text bg-background3 shadow-top footer-menu"
  >
    <nuxt-link v-if="!isHome" to="/" class="flex-1 mx-auto text-center">
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[21.8px] h-[21.83px]"
          :class="
            $route.name === 'PromotionInitial'
              ? 'foot-menu-item-title-active'
              : ''
          "
        >
          <svg-icon svgName="icon-home" class="w-[21.8px] h-[21.83px]" />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.name === 'HomeInitial'
            ? 'text-[color:var(--selected)]'
            : 'text'
        "
      >
        {{ $t("home") }}
      </div>
    </nuxt-link>
    <nuxt-link
      v-if="isHome && isAllowPromotionTab"
      class="flex-1 mx-auto text-center"
      to="/promotion"
    >
      <div class="flex justify-center">
        <span
          class="m-0 w-[21.8px] h-[21.83px]"
          :class="
            $route.name === 'PromotionInitial'
              ? 'foot-menu-item-title-active'
              : ''
          "
        >
          <svg-icon svgName="icon-promotion-2" class="w-[21.8px] h-[21.83px]" />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.name === 'PromotionInitial'
            ? 'text-[color:var(--selected)]'
            : 'text'
        "
      >
        {{ $t("promotion") }}
      </div>
    </nuxt-link>
    <nuxt-link
      :to="auth ? '/transaction-history' : '/login'"
      class="text-center mx-auto flex-1"
    >
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[21.8px] h-[21.83px]"
          :class="
            $route.name === 'PromotionInitial'
              ? 'foot-menu-item-title-active'
              : ''
          "
        >
          <svg-icon svgName="icon-fBetHistory" class="w-[21.8px] h-[21.83px]" />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.matched[0].name === 'Winlose'
            ? 'text-[color:var(--selected)]'
            : 'text'
        "
      >
        {{ $t("statement") }}
      </div>
    </nuxt-link>
    <div
      v-if="!agentCooperation.IsHidden"
      @click="toggleAgentCooperation"
      class="text-center mx-auto flex-1"
    >
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[21.8px] h-[21.83px]"
        >
          <svg-icon svgName="agent-cooperation" class="w-[21.8px] h-[21.83px]" />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
      >
        {{ $t("agent") }}
      </div>
    </div>
    <nuxt-link to="/contact-us" class="flex-1 mx-auto text-center">
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[21.8px] h-[21.83px]"
          :class="
            $route.name === 'PromotionInitial'
              ? 'foot-menu-item-title-active'
              : ''
          "
        >
          <svg-icon svgName="icon-contact" class="w-[21.8px] h-[21.83px]" />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.matched[0].name === 'InitContactUs'
            ? 'text-[color:var(--selected)]'
            : 'text'
        "
      >
        {{ $t("contact") }}
      </div>
    </nuxt-link>
    <nuxt-link to="/profile" class="flex-1 mx-auto text-center">
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[21.8px] h-[21.83px] relative"
          :class="
            $route.name === 'PromotionInitial'
              ? 'foot-menu-item-title-active'
              : ''
          "
        >
          <svg-icon svgName="icon-fAccount" class="w-[21.8px] h-[21.83px]" />
          <MessagesMessageCount
            v-if="unreadInfo.TotalCount"
            :count="unreadInfo.TotalCount"
            :is-unread="true"
            class="!ml-0 absolute bottom-[10px] left-[15px]"
          ></MessagesMessageCount>
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.matched[0].name === 'Profile'
            ? 'text-[color:var(--selected)]'
            : 'text'
        "
      >
        {{ $t("account") }}
      </div>
    </nuxt-link>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent, toRefs } from "vue";
import { useRoute } from "vue-router";
import { store } from "@/store";
import useMenu from "@/composables/useMenu";
import { useHeaderComponent } from "@/composables/useTheme";

export default defineComponent({
  props: {
    auth: {
      type: Boolean,
      default: false,
    },
  },
  setup(_) {
    const route = useRoute();
    const router = useRouter();
    const { name } = toRefs(route);
    const isHome = computed(() => name.value === "index");
    const onNavigateToPage = (url: string) => {
      if (_.auth) {
        window.open(url, "_blank");
      } else {
        router.push("/login");
      }
    };
    const { getAssetImage } = commonHelper;
    const { isShowDepositWithdrawal, isCashPlayer } = useMenu();
    const { isAllowPromotionTab, agentCooperation } = useHeaderComponent();
    const { fetchMessages, unreadInfo } = useMessage();
    const openLoginDialog = () => {
      store.commit("updateLoginDialog", !store.state.showLoginDialog);
    };

    const toggleAgentCooperation = () => {
      store.commit(
        "updateAgentCooperationDialog",
        !store.state.showAgentCooperationDialog
      );
    };

    onMounted(() => {
      if (!route.fullPath.includes("messages")) {
        fetchMessages();
      }
    });
    return {
      name,
      isHome,
      onNavigateToPage,
      getAssetImage,
      isShowDepositWithdrawal,
      isCashPlayer,
      isAllowPromotionTab,
      openLoginDialog,
      agentCooperation,
      toggleAgentCooperation,
      unreadInfo,
    };
  },
});
</script>
<style lang="scss">
.footer-menu {
  height: 65px;
  padding: 7.33px 0px;
  align-items: center;
  a {
    width: calc(100% / 5);
  }
}
.footer-menu-item-title {
  font-size: 12px;
  margin-top: 2px;
  width: auto;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}
.shadow-top {
  box-shadow: 0px -4px 3px rgba(0, 0, 0, 0.25);
}
a.nuxt-link-active svg {
  fill: var(--selected);
}
</style>
